enigmail et gpg-agent

Le
hamster
Hello.

Je suis sous jessie / mate.

Depuis plusieurs mois, enigmail me fait des misères. Mon problème est
très bien décrit la :
https://www.zenzla.com/astuces/1266-erreur-de-communication-avec-gpg-agent.html

J'ai essayé tout ce qui est sur cette page, et aussi ce qui est la :
https://wiki.gnupg.org/GnomeKeyring
https://blog.josefsson.org/2015/01/02/openpgp-smartcards-and-gnome/
http://www.gniibe.org/memo/notebook/gnome3-gpg-settings.html
et aussi ce que j'ai trouvé dans /usr/share/doc/gnome-keyring/README.Debian

J'ai essayé de reinstaller thunderbird, enigmail, gnupg et gpg-agent.

Rien n'y fait. J'ai toujours le meme blocage dans enigmail, et toujours
la meme réponse pour la variable :
echo $GPG_AGENT_INFO
/run/user/1000/keyring/gpg:0:1

J'ai essayé de supprimer gnome-keyring. La ca fait quelque chose. La
variable GPG_AGENT_INFO reste vide, enigmail me demande ma clef dans une
fenetre différente de celle dont j'ai l'habitude et qui s'appelle
"pinentry", mais… ne reconnais plus ma phrase de passe.

Si quelqu'un a une idée…
Vos réponses
Gagnez chaque mois un abonnement Premium avec GNT : Inscrivez-vous !
Trier par : date / pertinence
Fabien R
Le #26456945
On 24/12/2017 05:19, hamster wrote:
Hello.
Je suis sous jessie / mate.
Depuis plusieurs mois, enigmail me fait des misères. Mon problème est
très bien décrit la :
https://www.zenzla.com/astuces/1266-erreur-de-communication-avec-gpg-agent.html

Je ne sais pas si ça peut aider. Sur la page, il est indiqué d'utiliser
le package debian au lieu du add-on. Moi, j'ai dû faire l'inverse, sans
quoi, impossible de le configurer.--
Fabien
hamster
Le #26456949
Le 24/12/2017 à 10:02, Fabien R a écrit :
Je ne sais pas si ça peut aider. Sur la page, il est indiqué d'utiliser
le package debian au lieu du add-on. Moi, j'ai dû faire l'inverse, sans
quoi, impossible de le configurer

J'ai essayé les deux.
Pierre L.
Le #26456948
This is an OpenPGP/MIME signed message (RFC 4880 and 3156)
--89mWhcMez6Oi01Upc1PumqyU8lcU3gSU8
Content-Type: multipart/mixed; boundary="rvHRV0vuB55wWK9yDYPhLoJwdCdMADimu";
protected-headers="v1"
From: "Pierre L." To:
Message-ID: Subject: Re: enigmail et gpg-agent
References: In-Reply-To: --rvHRV0vuB55wWK9yDYPhLoJwdCdMADimu
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
Content-Language: fr-FR
Ha je me demande si ce n'était pas ce bug qui m'avait fait passé du coté
XFCE de l'interface graphique... j'avais du laisser tomber :/
C'est pas tout jeune ca !
--rvHRV0vuB55wWK9yDYPhLoJwdCdMADimu--
--89mWhcMez6Oi01Upc1PumqyU8lcU3gSU8
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: OpenPGP digital signature
Content-Disposition: attachment; filename="signature.asc"
-----BEGIN PGP SIGNATURE-----
iQIzBAEBCAAdFiEEqp6CU/crahjY2x3n6briFe8NSUUFAlo/cjkACgkQ6briFe8N
SUUn2xAAl86VU/rrjMBU6gjTfyka1IzwQn+5m6FnLpSHHBk1Mp8dMe7kopuWhqUL
lnIMg5i2L7Ian0FOEis9qpxYLxKedMp2XQy+FYInoWEFbByQtBl319KttVDrQGeR
w5R0lw6TddGxK7gmMafXehz9+GeHxnpkA5cf92BGwOee5v6C/dt9neiu5y0TCTgq
YZolEEWtkuEfCbiCK/gr33hKP/Wte1/FUgtS9cT5Z+8sxi9WaLfNytYoaR7XUvoq
wt60U/ckYJBvJpAthT6us0w34naO+iiODcQiIKjdYRiHpDO7zhdzFydpWqTG5LvO
mfX56IRyEyMT/KLtdJ8xITZcMoITYUWwobWcKau8oi2X1ifRmoA6Kza6ckAJAH/K
9dHzWKaAeGhgZ0vK/nXQY8slUXpQ5l5pHIyQykJ4rxEgpci1IcI5QFfL1KDGf+QC
9hIr0Fo1cJOeBwhO3JgJx4Ao+N1OqhMnomdf/xye+LQqXM78nec8GFj1HHFWf+E2
wTjF6A78zL0/9Ydv1k/f8PEez6+nGHdcrkYizjAmrIZ/qOVVDzYygaadwBTCxFFh
1lIAPAXf/zntB2cYU99Szh+YCbc7QvtPm+EapCgTbWjtTO95RJ6wx76b9+kLQEtQ
QtUr/wWIVYdHbOzhCt4R8SywQDU6JN/sBVi8Ty6Qg+buXmXG3LU =H4C9
-----END PGP SIGNATURE-----
--89mWhcMez6Oi01Upc1PumqyU8lcU3gSU8--
didier gaumet
Le #26456958
Le 24/12/2017 à 05:19, hamster a écrit :
[...]
J'ai essayé de supprimer gnome-keyring. La ca fait quelque chose. La
variable GPG_AGENT_INFO reste vide, enigmail me demande ma clef dans une
fenetre différente de celle dont j'ai l'habitude et qui s'appelle
"pinentry", mais… ne reconnais plus ma phrase de passe.
Si quelqu'un a une idée…

de mémoire, j'avais il y a des années eu des problèmes avec claws-mail,
et de ce que j'avais compris, quelque soit l'environnement utilisé (DE,
console...) ça nécessitait pinentry à un stade ou un autre pour rentrer
la clé gpg.
Je te suggérerais bien de regarder si ton système est à jour avec les
màj de sécurité, quelles versions de pinentry* sont installées, quelle
alternative est utilisée (cf alternatives ou galternatives) et
éventuellement de mettre à jour ceux de ces paquets (pinentry-gtk2?
pinentry-gnome3?) qui te sont nécessaires depuis jessie-backports: comme
ce ne sont pas des paquets offrant des fonctionnalités de nature à
attirer les utilisateurs par un rétroportage, je soupçonne que si ils
ont été rétroportés, c'est que les anciennes versions ne sont plus
forcément toujours fonctionnelles. En plus il me semble qu'entre Jessie
et Stretch, gpg2 est devenue obligatoire alors que gpg1 et ggp2
cohabitaient auparavant et que gpg pointait implicitement vers gpg1 mais
pointe maintenant vers gpg2...
Publicité
Poster une réponse
Anonyme